using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PXP.Crawler.API.Model;

namespace PXP.Crawler.API.Plugins.Events
{
    [NodeInfo("Change (Value)", typeof(ChangeStringNode), Category = "Events", Description = "Detect value change...",
        DefaultWidth = 70, DefaultHeight = 40, LockHeight = true)]
    public class ChangeValueNode : ChangeNodeBase<object>
    {
        public ChangeValueNode(Program program) : base(program)
        {
        }

        public override bool CompareValueChanged(object val)
        {
            return currValue != val;
        }
    }
}
